﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.ComponentModel.DataAnnotations;

namespace HeuristicLab.Clients.Hive.WebJobManager.ViewModels
{
    /// <summary>
    /// Used for login
    /// </summary>
    public class LoginViewModel // NOT MASTERVM => Starts the user login 
    {
        /// <summary>
        /// Used only for the WebHive. Identifies logged in users.
        /// </summary>
        public Guid userId { get; set; }
        /// <summary>
        /// Login name from the user 
        /// </summary>
        [Display(Name = "Username")]
        public string loginName { get; set; }
        /// <summary>
        /// Encrypted password
        /// </summary>
        [Display(Name = "Password")]
        public string password { get; set; }

        public string errorMessage { get; set; }
        /// <summary>
        /// Initialize the loginViewModel. Creates a unique Guid for the WebHive 
        /// </summary>
        /// <param name="n">Login name</param>
        /// <param name="p">Encrypted password</param>
        public LoginViewModel(string n, string p)
        {
            loginName = n;
            password = p;
            userId = Guid.NewGuid();
        }
        public LoginViewModel()
        {
            userId = Guid.Empty;
            loginName = "";
            password = "";
        }
    }
}
